Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IParticleAgent

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IPointAgent
                  igeo.IParticle
                      igeo.IParticleAgent

All Implemented Interfaces:
  IDynamics, IParameter, IParticleI, ISubobject, ITransformable, IVal, IVecI, IVecOp

    public class IParticleAgent

extends IParticle

Alias class of IParticle for backward compatibility. Use IParticle instead.

Author:
  Satoru Sugihara

Field Summary

Fields inherited from class igeo.IParticle
`frc, particle, vel`

Fields inherited from class igeo.IPointAgent
`point, pos, tracker`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`IParticleAgent()`
`IParticleAgent(double x, double y, double z)`
`IParticleAgent(double x, double y, double z, double vx, double vy, double vz)`
`IParticleAgent(IParticle p)`
`IParticleAgent(IParticleGeo ptcl)`
`IParticleAgent(IParticleGeo ptcl, IVecI vel)`
`IParticleAgent(IParticle p, IVecI vel)`
`IParticleAgent(IVec p)`
`IParticleAgent(IVecI p)`
`IParticleAgent(IVecI p, IVecI vel)`
`IParticleAgent(IVec p, IVec vel)`

Method Summary
`IParticleAgent` | `add(double x, double y, double z)`
`IParticleAgent` | `add(double f, IVecI v)` scale add alias
`IParticleAgent` | `add(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleAgent` | `add(IDoubleI f, IVecI v)` scale add alias
`IParticleAgent` | `add(IVecI v)`
`IParticleAgent` | `add(IVecI v, double f)` scale add
`IParticleAgent` | `add(IVecI v, IDoubleI f)` scale add
`IParticleAgent` | `addForce(double fx, double fy, double fz)` alias of push
`IParticleAgent` | `addForce(IVecI f)` alias of push
`IParticleAgent` | `clr(java.awt.Color c)`
`IParticleAgent` | `clr(java.awt.Color c, double alpha)`
`IParticleAgent` | `clr(java.awt.Color c, float alpha)`
`IParticleAgent` | `clr(java.awt.Color c, int alpha)`
`IParticleAgent` | `clr(double dgray)`
`IParticleAgent` | `clr(double dgray, double dalpha)`
`IParticleAgent` | `clr(double dr, double dg, double db)`
`IParticleAgent` | `clr(double dr, double dg, double db, double da)`
`IParticleAgent` | `clr(float fgray)`
`IParticleAgent` | `clr(float fgray, float falpha)`
`IParticleAgent` | `clr(float fr, float fg, float fb)`
`IParticleAgent` | `clr(float fr, float fg, float fb, float fa)`
`IParticleAgent` | `clr(IColor c)`
`IParticleAgent` | `clr(IColor c, double alpha)` to set color, with alpha value overwritten
`IParticleAgent` | `clr(IColor c, float alpha)` to set color, with alpha value overwritten
`IParticleAgent` | `clr(IColor c, int alpha)` to set color, with alpha value overwritten
`IParticleAgent` | `clr(int gray)`
`IParticleAgent` | `clr(int gray, int alpha)`
`IParticleAgent` | `clr(int r, int g, int b)`
`IParticleAgent` | `clr(int r, int g, int b, int a)`
`IParticleAgent` | `cp()` alias of dup()
`IParticleAgent` | `cp(double x, double y, double z)` cp() is alias of dup().add()
`IParticleAgent` | `cp(IDoubleI x, IDoubleI y, IDoubleI z)` cp() is alias of dup().add()
`IParticleAgent` | `cp(IVecI v)` cp() is alias of dup().add()
`IParticleAgent` | `decay(double d)`
`IParticleAgent` | `div(double v)`
`IParticleAgent` | `div(IDoubleI v)`
`IParticleAgent` | `dup()` duplicate object
`IParticleAgent` | `fix()` IParticleI API
`IParticleAgent` | `flip()` alias of neg
`IParticleAgent` | `force(IVecI v)` set force
`IParticleAgent` | `frc(IVecI v)` set force
`IParticleAgent` | `fric(double friction)` set friction
`IParticleAgent` | `friction(double friction)` set friction
`IParticleAgent` | `hide()`
`IParticleAgent` | `hsb(double h, double s, double b)`
`IParticleAgent` | `hsb(double h, double s, double b, double a)`
`IParticleAgent` | `hsb(float h, float s, float b)`
`IParticleAgent` | `hsb(float h, float s, float b, float a)`
`IParticleAgent` | `layer(ILayer l)` Set layer by ILayer object
`IParticleAgent` | `len(double l)` setting length
`IParticleAgent` | `len(IDoubleI l)` setting length
`IParticleAgent` | `mass(double mass)` set mass
`IParticleAgent` | `mirror(double planeX, double planeY, double planeZ)` alias of ref
`IParticleAgent` | `mirror(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` alias of ref
`IParticleAgent` | `mirror(IVecI planeDir)` mirror is alias of ref
`IParticleAgent` | `mirror(IVecI center, IVecI planeDir)` alias of ref
`IParticleAgent` | `mul(double v)`
`IParticleAgent` | `mul(IDoubleI v)`
`IParticleAgent` | `mv(double x, double y, double z)` mv() is alias of add()
`IParticleAgent` | `mv(IDoubleI x, IDoubleI y, IDoubleI z)` mv() is alias of add()
`IParticleAgent` | `mv(IVecI v)` mv() is alias of add()
`IParticleAgent` | `name(java.lang.String nm)` methods of IObject
`IParticleAgent` | `neg()`
`IParticleAgent` | `pos(IVecI v)` set position
`IParticleAgent` | `position(IVecI v)` set position
`IParticleAgent` | `pull(double fx, double fy, double fz)` equivalent to push(f.dup().neg())
`IParticleAgent` | `pull(IVecI f)` equivalent to push(f.dup().neg())
`IParticleAgent` | `push(double fx, double fy, double fz)` adding force to particle
`IParticleAgent` | `push(IVecI f)` adding force to particle
`IParticleAgent` | `ref(double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleAgent` | `ref(double centerX, double centerY, double centerZ, double planeX, double planeY, double planeZ)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleAgent` | `ref(IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleAgent` | `ref(IVecI center, IVecI planeDir)` reflect(mirror) 3 dimensionally to the other side of the plane
`IParticleAgent` | `removeTarget(int i)` remove target object.
`IParticleAgent` | `removeTarget(IObject obj)` remove target object.
`IParticleAgent` | `reset()` setting force zero
`IParticleAgent` | `resetForce()` alias of reset
`IParticleAgent` | `rev()` alias of neg()
`IParticleAgent` | `rot(double angle)` rotation on XY plane
`IParticleAgent` | `rot(double axisX, double axisY, double axisZ, double angle)` rotation around axis vector
`IParticleAgent` | `rot(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double angle)` rotation around axis vector and center point
`IParticleAgent` | `rot(IDoubleI angle)` rotation around z-axis and origin
`IParticleAgent` | `rot(IVecI axis, double angle)` rotation around axis vector
`IParticleAgent` | `rot(IVecI axis, IDoubleI angle)` rotation around axis vector
`IParticleAgent` | `rot(IVecI axis, IVecI destDir)` rotate to destination direction vector
`IParticleAgent` | `rot(IVecI center, IVecI axis, double angle)` rotation around axis vector and center point
`IParticleAgent` | `rot(IVecI center, IVecI axis, IDoubleI angle)` rotation around axis vector and center
`IParticleAgent` | `rot(IVecI center, IVecI axis, IVecI destPt)` rotate to destination point location
`IParticleAgent` | `rot2(double angle)` rotation on xy-plane around origin; same with rot(double)
`IParticleAgent` | `rot2(double centerX, double centerY, double angle)` rotation on xy-plane
`IParticleAgent` | `rot2(IDoubleI angle)` rotation on xy-plane around origin; same with rot(IDoubleI)
`IParticleAgent` | `rot2(IVecI destDir)` rotation on xy-plane to destination direction vector
`IParticleAgent` | `rot2(IVecI center, double angle)` rotation on xy-plane
`IParticleAgent` | `rot2(IVecI center, IDoubleI angle)` rotation on xy-plane around center
`IParticleAgent` | `rot2(IVecI center, IVecI destPt)` rotation on xy-plane to destination point location
`IParticleAgent` | `scale(double f)` alias of mul
`IParticleAgent` | `scale(double centerX, double centerY, double centerZ, double f)` scale from a center
`IParticleAgent` | `scale(IDoubleI f)` alias of mul
`IParticleAgent` | `scale(IVecI center, double f)` scale from a center
`IParticleAgent` | `scale(IVecI center, IDoubleI f)` scale from a center
`IParticleAgent` | `scale1d(double axisX, double axisY, double axisZ, double f)` scale only in 1 direction
`IParticleAgent` | `scale1d(double centerX, double centerY, double centerZ, double axisX, double axisY, double axisZ, double f)` scale only in 1 direction from a center
`IParticleAgent` | `scale1d(IVecI axis, double f)` scale only in 1 direction
`IParticleAgent` | `scale1d(IVecI axis, IDoubleI f)` scale only in 1 direction
`IParticleAgent` | `scale1d(IVecI center, IVecI axis, double f)` scale only in 1 direction from a center
`IParticleAgent` | `scale1d(IVecI center, IVecI axis, IDoubleI f)` scale only in 1 direction from a center
`IParticleAgent` | `set(double x, double y, double z)`
`IParticleAgent` | `set(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleAgent` | `set(IVecI v)`
`IParticleAgent` | `setColor(java.awt.Color c)`
`IParticleAgent` | `setColor(java.awt.Color c, double alpha)`
`IParticleAgent` | `setColor(java.awt.Color c, float alpha)`
`IParticleAgent` | `setColor(java.awt.Color c, int alpha)`
`IParticleAgent` | `setColor(double dgray)`
`IParticleAgent` | `setColor(double dgray, double dalpha)`
`IParticleAgent` | `setColor(double dr, double dg, double db)`
`IParticleAgent` | `setColor(double dr, double dg, double db, double da)`
`IParticleAgent` | `setColor(float fgray)`
`IParticleAgent` | `setColor(float fgray, float falpha)`
`IParticleAgent` | `setColor(float fr, float fg, float fb)`
`IParticleAgent` | `setColor(float fr, float fg, float fb, float fa)`
`IParticleAgent` | `setColor(IColor c)`
`IParticleAgent` | `setColor(IColor c, double alpha)`
`IParticleAgent` | `setColor(IColor c, float alpha)`
`IParticleAgent` | `setColor(IColor c, int alpha)`
`IParticleAgent` | `setColor(int gray)`
`IParticleAgent` | `setColor(int gray, int alpha)`
`IParticleAgent` | `setColor(int r, int g, int b)`
`IParticleAgent` | `setColor(int r, int g, int b, int a)`
`IParticleAgent` | `setHSBColor(double h, double s, double b)`
`IParticleAgent` | `setHSBColor(double h, double s, double b, double a)`
`IParticleAgent` | `setHSBColor(float h, float s, float b)`
`IParticleAgent` | `setHSBColor(float h, float s, float b, float a)`
`IParticleAgent` | `setSize(double sz)` methods of IPoint
`IParticleAgent` | `shear(double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IParticleAgent` | `shear(IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IParticleAgent` | `shear(IVecI center, double sxy, double syx, double syz, double szy, double szx, double sxz)` shear operation
`IParticleAgent` | `shear(IVecI center, IDoubleI sxy, IDoubleI syx, IDoubleI syz, IDoubleI szy, IDoubleI szx, IDoubleI sxz)` shear operation
`IParticleAgent` | `shearXY(double sxy, double syx)` shear operation on XY
`IParticleAgent` | `shearXY(IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IParticleAgent` | `shearXY(IVecI center, double sxy, double syx)` shear operation on XY
`IParticleAgent` | `shearXY(IVecI center, IDoubleI sxy, IDoubleI syx)` shear operation on XY
`IParticleAgent` | `shearYZ(double syz, double szy)` shear operation on YZ
`IParticleAgent` | `shearYZ(IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IParticleAgent` | `shearYZ(IVecI center, double syz, double szy)` shear operation on YZ
`IParticleAgent` | `shearYZ(IVecI center, IDoubleI syz, IDoubleI szy)` shear operation on YZ
`IParticleAgent` | `shearZX(double szx, double sxz)` shear operation on ZX
`IParticleAgent` | `shearZX(IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IParticleAgent` | `shearZX(IVecI center, double szx, double sxz)` shear operation on ZX
`IParticleAgent` | `shearZX(IVecI center, IDoubleI szx, IDoubleI sxz)` shear operation on ZX
`IParticleAgent` | `show()`
`IParticleAgent` | `size(double sz)`
`IParticleAgent` | `sub(double x, double y, double z)`
`IParticleAgent` | `sub(IDoubleI x, IDoubleI y, IDoubleI z)`
`IParticleAgent` | `sub(IVecI v)`
`IParticleAgent` | `target(IObject targetObj)` add terget object to be updated by this dynamic object.
`IParticleAgent` | `transform(IMatrix3I mat)` transform with a transformation matrix
`IParticleAgent` | `transform(IMatrix4I mat)` transform with a transformation matrix
`IParticleAgent` | `transform(IVecI xvec, IVecI yvec, IVecI zvec)` transform with a transformation vectors
`IParticleAgent` | `transform(IVecI xvec, IVecI yvec, IVecI zvec, IVecI translate)` transform with a transformation vectors
`IParticleAgent` | `translate(double x, double y, double z)` translate() is alias of add()
`IParticleAgent` | `translate(IDoubleI x, IDoubleI y, IDoubleI z)` alias of add()
`IParticleAgent` | `translate(IVecI v)` alias of add()
`IParticleAgent` | `unfix()` unfix movement
`IParticleAgent` | `unit()` unitize
`IParticleAgent` | `vel(IVecI v)` set velocity
`IParticleAgent` | `velocity(IVecI v)` set velocity
`IParticleAgent` | `weight(double w)`
`IParticleAgent` | `weight(float w)`
`IParticleAgent` | `x(double vx)` methods of IVecI
`IParticleAgent` | `x(IDoubleI vx)` setting x component
`IParticleAgent` | `y(double vy)` setting y component
`IParticleAgent` | `y(IDoubleI vy)` setting y component
`IParticleAgent` | `z(double vz)` setting z component
`IParticleAgent` | `z(IDoubleI vz)` setting z component
`IParticleAgent` | `zero()` setting all zero

Methods inherited from class igeo.IParticle
`acc, acceleration, attach, attach, attach, decay, fixed, force, frc, fric, friction, hideGeometry, hidePoint, initParticleAgent, initParticleAgent, initParticleAgent, initParticleAgent, initParticleAgent, mass, pos, position, showGeometry, showPoint, skipUpdateOnce, skipUpdateOnce, vel, velocity`

Methods inherited from class igeo.IPointAgent
`angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, brep, brep, brepNum, breps, cross, cross, curve, curve, curveNum, curves, del, del, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, geometries, geometry, geometry, geometryNum, get, getSize, getX, getY, getZ, isValid, len, len, len, len2, len2, len2, mesh, mesh, meshes, meshNum, mid, mid, nml, nml, nml, nml, point, point, pointNum, points, size, sum, sum, sum, sum, sum, sum, sum, surface, surface, surfaceNum, surfaces, to2d, to2d, to2d, to2d, to4d, to4d, to4d, toString, x, x, x, y, y, y, z, z, z`

Methods inherited from class igeo.IAgent
`addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

Methods inherited from class igeo.IObject
`alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, clearDynamics, clearGraphics, clr, createGraphic, defaultAttribute, deleteGraphic, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, userData, userData, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface igeo.IParticleI
`target, targetNum, targets, updateTarget`

Methods inherited from interface igeo.IVecI
`angle, angle, angle, angle, angle, angle, angle, angle, bisect, bisect, cross, cross, dif, dif, diff, diff, dist, dist, dist, dist, dist2, dist2, dist2, dist2, dot, dot, dot, dot, eq, eq, eq, eq, eq, eq, eq, eq, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqX, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqY, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, eqZ, get, getX, getY, getZ, isValid, len, len, len, len2, len2, len2, mid, mid, nml, nml, nml, nml, sum, sum, sum, sum, sum, sum, sum, to2d, to2d, to2d, to2d, to4d, to4d, to4d, x, x, x, y, y, y, z, z, z`

Constructor Detail

### IParticleAgent

    public IParticleAgent()

### IParticleAgent

    public IParticleAgent(double x,
                          double y,
                          double z)

### IParticleAgent

    public IParticleAgent(IVec p)

### IParticleAgent

    public IParticleAgent(IVecI p)

### IParticleAgent

    public IParticleAgent(IParticleGeo ptcl)

### IParticleAgent

    public IParticleAgent(IParticle p)

### IParticleAgent

    public IParticleAgent(double x,
                          double y,
                          double z,
                          double vx,
                          double vy,
                          double vz)

### IParticleAgent

    public IParticleAgent(IVec p,
                          IVec vel)

### IParticleAgent

    public IParticleAgent(IVecI p,
                          IVecI vel)

### IParticleAgent

    public IParticleAgent(IParticleGeo ptcl,
                          IVecI vel)

### IParticleAgent

    public IParticleAgent(IParticle p,
                          IVecI vel)

Method Detail

### fix

    public IParticleAgent fix()

  IParticleI API

  Specified by:
    `fix` in interface `IParticleI`
  Overrides:
    `fix` in class `IParticle`

### unfix

    public IParticleAgent unfix()

  Description copied from interface: `IParticleI`
  unfix movement

  Specified by:
    `unfix` in interface `IParticleI`
  Overrides:
    `unfix` in class `IParticle`

### mass

    public IParticleAgent mass(double mass)

  Description copied from interface: `IParticleI`
  set mass

  Specified by:
    `mass` in interface `IParticleI`
  Overrides:
    `mass` in class `IParticle`

### position

    public IParticleAgent position(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `position` in interface `IParticleI`
  Overrides:
    `position` in class `IParticle`

### pos

    public IParticleAgent pos(IVecI v)

  Description copied from interface: `IParticleI`
  set position

  Specified by:
    `pos` in interface `IParticleI`
  Overrides:
    `pos` in class `IParticle`

### velocity

    public IParticleAgent velocity(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `velocity` in interface `IParticleI`
  Overrides:
    `velocity` in class `IParticle`

### vel

    public IParticleAgent vel(IVecI v)

  Description copied from interface: `IParticleI`
  set velocity

  Specified by:
    `vel` in interface `IParticleI`
  Overrides:
    `vel` in class `IParticle`

### force

    public IParticleAgent force(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `force` in interface `IParticleI`
  Overrides:
    `force` in class `IParticle`

### frc

    public IParticleAgent frc(IVecI v)

  Description copied from interface: `IParticleI`
  set force

  Specified by:
    `frc` in interface `IParticleI`
  Overrides:
    `frc` in class `IParticle`

### friction

    public IParticleAgent friction(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `friction` in interface `IParticleI`
  Overrides:
    `friction` in class `IParticle`

### fric

    public IParticleAgent fric(double friction)

  Description copied from interface: `IParticleI`
  set friction

  Specified by:
    `fric` in interface `IParticleI`
  Overrides:
    `fric` in class `IParticle`

### decay

    public IParticleAgent decay(double d)

  Specified by:
    `decay` in interface `IParticleI`
  Overrides:
    `decay` in class `IParticle`

### push

    public IParticleAgent push(IVecI f)

  Description copied from interface: `IParticleI`
  adding force to particle

  Specified by:
    `push` in interface `IParticleI`
  Overrides:
    `push` in class `IParticle`

### push

    public IParticleAgent push(double fx,
                               double fy,
                               double fz)

  Description copied from interface: `IParticleI`
  adding force to particle

  Specified by:
    `push` in interface `IParticleI`
  Overrides:
    `push` in class `IParticle`

### pull

    public IParticleAgent pull(IVecI f)

  Description copied from interface: `IParticleI`
  equivalent to push(f.dup().neg())

  Specified by:
    `pull` in interface `IParticleI`
  Overrides:
    `pull` in class `IParticle`

### pull

    public IParticleAgent pull(double fx,
                               double fy,
                               double fz)

  Description copied from interface: `IParticleI`
  equivalent to push(f.dup().neg())

  Specified by:
    `pull` in interface `IParticleI`
  Overrides:
    `pull` in class `IParticle`

### addForce

    public IParticleAgent addForce(IVecI f)

  Description copied from interface: `IParticleI`
  alias of push

  Specified by:
    `addForce` in interface `IParticleI`
  Overrides:
    `addForce` in class `IParticle`

### addForce

    public IParticleAgent addForce(double fx,
                                   double fy,
                                   double fz)

  Description copied from interface: `IParticleI`
  alias of push

  Specified by:
    `addForce` in interface `IParticleI`
  Overrides:
    `addForce` in class `IParticle`

### reset

    public IParticleAgent reset()

  Description copied from interface: `IParticleI`
  setting force zero

  Specified by:
    `reset` in interface `IParticleI`
  Overrides:
    `reset` in class `IParticle`

### resetForce

    public IParticleAgent resetForce()

  Description copied from interface: `IParticleI`
  alias of reset

  Specified by:
    `resetForce` in interface `IParticleI`
  Overrides:
    `resetForce` in class `IParticle`

### x

    public IParticleAgent x(double vx)

  methods of IVecI

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IParticle`

### y

    public IParticleAgent y(double vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IParticle`

### z

    public IParticleAgent z(double vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IParticle`

### x

    public IParticleAgent x(IDoubleI vx)

  Description copied from interface: `IVecI`
  setting x component

  Specified by:
    `x` in interface `IVecI`
  Overrides:
    `x` in class `IParticle`

### y

    public IParticleAgent y(IDoubleI vy)

  Description copied from interface: `IVecI`
  setting y component

  Specified by:
    `y` in interface `IVecI`
  Overrides:
    `y` in class `IParticle`

### z

    public IParticleAgent z(IDoubleI vz)

  Description copied from interface: `IVecI`
  setting z component

  Specified by:
    `z` in interface `IVecI`
  Overrides:
    `z` in class `IParticle`

### dup

    public IParticleAgent dup()

  Description copied from class: `IObject`
  duplicate object

  Specified by:
    `dup` in interface `ITransformable`
  Specified by:
    `dup` in interface `IVecI`
  Overrides:
    `dup` in class `IParticle`

### set

    public IParticleAgent set(IVecI v)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticle`

### set

    public IParticleAgent set(double x,
                              double y,
                              double z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticle`

### set

    public IParticleAgent set(IDoubleI x,
                              IDoubleI y,
                              IDoubleI z)

  Specified by:
    `set` in interface `IVecI`
  Overrides:
    `set` in class `IParticle`

### add

    public IParticleAgent add(double x,
                              double y,
                              double z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleAgent add(IDoubleI x,
                              IDoubleI y,
                              IDoubleI z)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleAgent add(IVecI v)

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### sub

    public IParticleAgent sub(double x,
                              double y,
                              double z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticle`

### sub

    public IParticleAgent sub(IDoubleI x,
                              IDoubleI y,
                              IDoubleI z)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticle`

### sub

    public IParticleAgent sub(IVecI v)

  Specified by:
    `sub` in interface `ITransformable`
  Specified by:
    `sub` in interface `IVecI`
  Overrides:
    `sub` in class `IParticle`

### mul

    public IParticleAgent mul(IDoubleI v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IParticle`

### mul

    public IParticleAgent mul(double v)

  Specified by:
    `mul` in interface `ITransformable`
  Specified by:
    `mul` in interface `IVecI`
  Overrides:
    `mul` in class `IParticle`

### div

    public IParticleAgent div(IDoubleI v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IParticle`

### div

    public IParticleAgent div(double v)

  Specified by:
    `div` in interface `ITransformable`
  Specified by:
    `div` in interface `IVecI`
  Overrides:
    `div` in class `IParticle`

### neg

    public IParticleAgent neg()

  Specified by:
    `neg` in interface `ITransformable`
  Specified by:
    `neg` in interface `IVecI`
  Overrides:
    `neg` in class `IParticle`

### rev

    public IParticleAgent rev()

  Description copied from interface: `IVecI`
  alias of neg()

  Specified by:
    `rev` in interface `IVecI`
  Overrides:
    `rev` in class `IParticle`

### flip

    public IParticleAgent flip()

  Description copied from interface: `ITransformable`
  alias of neg

  Specified by:
    `flip` in interface `ITransformable`
  Specified by:
    `flip` in interface `IVecI`
  Overrides:
    `flip` in class `IParticle`

### zero

    public IParticleAgent zero()

  Description copied from interface: `IVecI`
  setting all zero

  Specified by:
    `zero` in interface `IVecI`
  Overrides:
    `zero` in class `IParticle`

### add

    public IParticleAgent add(IVecI v,
                              double f)

  Description copied from interface: `ITransformable`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleAgent add(IVecI v,
                              IDoubleI f)

  Description copied from interface: `ITransformable`
  scale add

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleAgent add(double f,
                              IVecI v)

  Description copied from interface: `ITransformable`
  scale add alias

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### add

    public IParticleAgent add(IDoubleI f,
                              IVecI v)

  Description copied from interface: `ITransformable`
  scale add alias

  Specified by:
    `add` in interface `ITransformable`
  Specified by:
    `add` in interface `IVecI`
  Overrides:
    `add` in class `IParticle`

### len

    public IParticleAgent len(IDoubleI l)

  Description copied from interface: `IVecI`
  setting length

  Specified by:
    `len` in interface `IVecI`
  Overrides:
    `len` in class `IParticle`

### len

    public IParticleAgent len(double l)

  Description copied from interface: `IVecI`
  setting length

  Specified by:
    `len` in interface `IVecI`
  Overrides:
    `len` in class `IParticle`

### unit

    public IParticleAgent unit()

  Description copied from interface: `IVecI`
  unitize

  Specified by:
    `unit` in interface `IVecI`
  Overrides:
    `unit` in class `IParticle`

### rot

    public IParticleAgent rot(IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation around z-axis and origin

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleAgent rot(double angle)

  Description copied from interface: `IVecI`
  rotation on XY plane

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleAgent rot(IVecI axis,
                              IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleAgent rot(IVecI axis,
                              double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleAgent rot(double axisX,
                              double axisY,
                              double axisZ,
                              double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleAgent rot(IVecI center,
                              IVecI axis,
                              double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleAgent rot(IVecI center,
                              IVecI axis,
                              IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation around axis vector and center

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleAgent rot(double centerX,
                              double centerY,
                              double centerZ,
                              double axisX,
                              double axisY,
                              double axisZ,
                              double angle)

  Description copied from interface: `IVecI`
  rotation around axis vector and center point

  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleAgent rot(IVecI axis,
                              IVecI destDir)

  Description copied from interface: `ITransformable`
  rotate to destination direction vector

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot

    public IParticleAgent rot(IVecI center,
                              IVecI axis,
                              IVecI destPt)

  Description copied from interface: `ITransformable`
  rotate to destination point location

  Specified by:
    `rot` in interface `ITransformable`
  Specified by:
    `rot` in interface `IVecI`
  Overrides:
    `rot` in class `IParticle`

### rot2

    public IParticleAgent rot2(IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation on xy-plane around origin; same with rot(IDoubleI)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleAgent rot2(double angle)

  Description copied from interface: `ITransformable`
  rotation on xy-plane around origin; same with rot(double)

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleAgent rot2(IVecI center,
                               double angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleAgent rot2(IVecI center,
                               IDoubleI angle)

  Description copied from interface: `ITransformable`
  rotation on xy-plane around center

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleAgent rot2(double centerX,
                               double centerY,
                               double angle)

  Description copied from interface: `IVecI`
  rotation on xy-plane

  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleAgent rot2(IVecI destDir)

  Description copied from interface: `ITransformable`
  rotation on xy-plane to destination direction vector

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### rot2

    public IParticleAgent rot2(IVecI center,
                               IVecI destPt)

  Description copied from interface: `ITransformable`
  rotation on xy-plane to destination point location

  Specified by:
    `rot2` in interface `ITransformable`
  Specified by:
    `rot2` in interface `IVecI`
  Overrides:
    `rot2` in class `IParticle`

### scale

    public IParticleAgent scale(IDoubleI f)

  Description copied from interface: `ITransformable`
  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleAgent scale(double f)

  Description copied from interface: `IVecI`
  alias of mul

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleAgent scale(IVecI center,
                                IDoubleI f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleAgent scale(IVecI center,
                                double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `ITransformable`
  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale

    public IParticleAgent scale(double centerX,
                                double centerY,
                                double centerZ,
                                double f)

  Description copied from interface: `IVecI`
  scale from a center

  Specified by:
    `scale` in interface `IVecI`
  Overrides:
    `scale` in class `IParticle`

### scale1d

    public IParticleAgent scale1d(IVecI axis,
                                  double f)

  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleAgent scale1d(IVecI axis,
                                  IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleAgent scale1d(double axisX,
                                  double axisY,
                                  double axisZ,
                                  double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleAgent scale1d(IVecI center,
                                  IVecI axis,
                                  double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleAgent scale1d(IVecI center,
                                  IVecI axis,
                                  IDoubleI f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `ITransformable`
  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### scale1d

    public IParticleAgent scale1d(double centerX,
                                  double centerY,
                                  double centerZ,
                                  double axisX,
                                  double axisY,
                                  double axisZ,
                                  double f)

  Description copied from interface: `IVecI`
  scale only in 1 direction from a center

  Specified by:
    `scale1d` in interface `IVecI`
  Overrides:
    `scale1d` in class `IParticle`

### ref

    public IParticleAgent ref(IVecI planeDir)

  Description copied from interface: `ITransformable`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### ref

    public IParticleAgent ref(double planeX,
                              double planeY,
                              double planeZ)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### ref

    public IParticleAgent ref(IVecI center,
                              IVecI planeDir)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `ITransformable`
  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### ref

    public IParticleAgent ref(double centerX,
                              double centerY,
                              double centerZ,
                              double planeX,
                              double planeY,
                              double planeZ)

  Description copied from interface: `IVecI`
  reflect(mirror) 3 dimensionally to the other side of the plane

  Specified by:
    `ref` in interface `IVecI`
  Overrides:
    `ref` in class `IParticle`

### mirror

    public IParticleAgent mirror(IVecI planeDir)

  Description copied from interface: `ITransformable`
  mirror is alias of ref

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### mirror

    public IParticleAgent mirror(double planeX,
                                 double planeY,
                                 double planeZ)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### mirror

    public IParticleAgent mirror(IVecI center,
                                 IVecI planeDir)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `ITransformable`
  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### mirror

    public IParticleAgent mirror(double centerX,
                                 double centerY,
                                 double centerZ,
                                 double planeX,
                                 double planeY,
                                 double planeZ)

  Description copied from interface: `IVecI`
  alias of ref

  Specified by:
    `mirror` in interface `IVecI`
  Overrides:
    `mirror` in class `IParticle`

### shear

    public IParticleAgent shear(double sxy,
                                double syx,
                                double syz,
                                double szy,
                                double szx,
                                double sxz)

  Description copied from interface: `ITransformable`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shear

    public IParticleAgent shear(IDoubleI sxy,
                                IDoubleI syx,
                                IDoubleI syz,
                                IDoubleI szy,
                                IDoubleI szx,
                                IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shear

    public IParticleAgent shear(IVecI center,
                                double sxy,
                                double syx,
                                double syz,
                                double szy,
                                double szx,
                                double sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shear

    public IParticleAgent shear(IVecI center,
                                IDoubleI sxy,
                                IDoubleI syx,
                                IDoubleI syz,
                                IDoubleI szy,
                                IDoubleI szx,
                                IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation

  Specified by:
    `shear` in interface `ITransformable`
  Specified by:
    `shear` in interface `IVecI`
  Overrides:
    `shear` in class `IParticle`

### shearXY

    public IParticleAgent shearXY(double sxy,
                                  double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearXY

    public IParticleAgent shearXY(IDoubleI sxy,
                                  IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearXY

    public IParticleAgent shearXY(IVecI center,
                                  double sxy,
                                  double syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearXY

    public IParticleAgent shearXY(IVecI center,
                                  IDoubleI sxy,
                                  IDoubleI syx)

  Description copied from interface: `IVecI`
  shear operation on XY

  Specified by:
    `shearXY` in interface `ITransformable`
  Specified by:
    `shearXY` in interface `IVecI`
  Overrides:
    `shearXY` in class `IParticle`

### shearYZ

    public IParticleAgent shearYZ(double syz,
                                  double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearYZ

    public IParticleAgent shearYZ(IDoubleI syz,
                                  IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearYZ

    public IParticleAgent shearYZ(IVecI center,
                                  double syz,
                                  double szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearYZ

    public IParticleAgent shearYZ(IVecI center,
                                  IDoubleI syz,
                                  IDoubleI szy)

  Description copied from interface: `IVecI`
  shear operation on YZ

  Specified by:
    `shearYZ` in interface `ITransformable`
  Specified by:
    `shearYZ` in interface `IVecI`
  Overrides:
    `shearYZ` in class `IParticle`

### shearZX

    public IParticleAgent shearZX(double szx,
                                  double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### shearZX

    public IParticleAgent shearZX(IDoubleI szx,
                                  IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### shearZX

    public IParticleAgent shearZX(IVecI center,
                                  double szx,
                                  double sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### shearZX

    public IParticleAgent shearZX(IVecI center,
                                  IDoubleI szx,
                                  IDoubleI sxz)

  Description copied from interface: `IVecI`
  shear operation on ZX

  Specified by:
    `shearZX` in interface `ITransformable`
  Specified by:
    `shearZX` in interface `IVecI`
  Overrides:
    `shearZX` in class `IParticle`

### translate

    public IParticleAgent translate(double x,
                                    double y,
                                    double z)

  Description copied from interface: `ITransformable`
  translate() is alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticle`

### translate

    public IParticleAgent translate(IDoubleI x,
                                    IDoubleI y,
                                    IDoubleI z)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticle`

### translate

    public IParticleAgent translate(IVecI v)

  Description copied from interface: `IVecI`
  alias of add()

  Specified by:
    `translate` in interface `ITransformable`
  Specified by:
    `translate` in interface `IVecI`
  Overrides:
    `translate` in class `IParticle`

### transform

    public IParticleAgent transform(IMatrix3I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### transform

    public IParticleAgent transform(IMatrix4I mat)

  Description copied from interface: `IVecI`
  transform with a transformation matrix

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### transform

    public IParticleAgent transform(IVecI xvec,
                                    IVecI yvec,
                                    IVecI zvec)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### transform

    public IParticleAgent transform(IVecI xvec,
                                    IVecI yvec,
                                    IVecI zvec,
                                    IVecI translate)

  Description copied from interface: `IVecI`
  transform with a transformation vectors

  Specified by:
    `transform` in interface `ITransformable`
  Specified by:
    `transform` in interface `IVecI`
  Overrides:
    `transform` in class `IParticle`

### mv

    public IParticleAgent mv(double x,
                             double y,
                             double z)

  Description copied from interface: `ITransformable`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticle`

### mv

    public IParticleAgent mv(IDoubleI x,
                             IDoubleI y,
                             IDoubleI z)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticle`

### mv

    public IParticleAgent mv(IVecI v)

  Description copied from interface: `IVecI`
  mv() is alias of add()

  Specified by:
    `mv` in interface `ITransformable`
  Specified by:
    `mv` in interface `IVecI`
  Overrides:
    `mv` in class `IParticle`

### cp

    public IParticleAgent cp()

  Description copied from class: `IObject`
  alias of dup()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

### cp

    public IParticleAgent cp(double x,
                             double y,
                             double z)

  Description copied from interface: `ITransformable`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

### cp

    public IParticleAgent cp(IDoubleI x,
                             IDoubleI y,
                             IDoubleI z)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

### cp

    public IParticleAgent cp(IVecI v)

  Description copied from interface: `IVecI`
  cp() is alias of dup().add()

  Specified by:
    `cp` in interface `ITransformable`
  Specified by:
    `cp` in interface `IVecI`
  Overrides:
    `cp` in class `IParticle`

### setSize

    public IParticleAgent setSize(double sz)

  methods of IPoint

  Overrides:
    `setSize` in class `IParticle`

### size

    public IParticleAgent size(double sz)

  Overrides:
    `size` in class `IParticle`

### name

    public IParticleAgent name(java.lang.String nm)

  methods of IObject

  Overrides:
    `name` in class `IParticle`

### layer

    public IParticleAgent layer(ILayer l)

  Description copied from class: `IObject`
  Set layer by ILayer object

  Overrides:
    `layer` in class `IParticle`

### show

    public IParticleAgent show()

  Overrides:
    `show` in class `IParticle`

### hide

    public IParticleAgent hide()

  Overrides:
    `hide` in class `IParticle`

### clr

    public IParticleAgent clr(IColor c)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(IColor c,
                              int alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(IColor c,
                              float alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(IColor c,
                              double alpha)

  Description copied from class: `IObject`
  to set color, with alpha value overwritten

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(java.awt.Color c)

  Overrides:
    `clr` in class `IObject`

### clr

    public IParticleAgent clr(java.awt.Color c,
                              int alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IParticleAgent clr(java.awt.Color c,
                              float alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IParticleAgent clr(java.awt.Color c,
                              double alpha)

  Overrides:
    `clr` in class `IObject`

### clr

    public IParticleAgent clr(int gray)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(float fgray)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(double dgray)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(int gray,
                              int alpha)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(float fgray,
                              float falpha)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(double dgray,
                              double dalpha)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(int r,
                              int g,
                              int b)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(float fr,
                              float fg,
                              float fb)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(double dr,
                              double dg,
                              double db)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(int r,
                              int g,
                              int b,
                              int a)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(float fr,
                              float fg,
                              float fb,
                              float fa)

  Overrides:
    `clr` in class `IParticle`

### clr

    public IParticleAgent clr(double dr,
                              double dg,
                              double db,
                              double da)

  Overrides:
    `clr` in class `IParticle`

### hsb

    public IParticleAgent hsb(float h,
                              float s,
                              float b,
                              float a)

  Overrides:
    `hsb` in class `IParticle`

### hsb

    public IParticleAgent hsb(double h,
                              double s,
                              double b,
                              double a)

  Overrides:
    `hsb` in class `IParticle`

### hsb

    public IParticleAgent hsb(float h,
                              float s,
                              float b)

  Overrides:
    `hsb` in class `IParticle`

### hsb

    public IParticleAgent hsb(double h,
                              double s,
                              double b)

  Overrides:
    `hsb` in class `IParticle`

### setColor

    public IParticleAgent setColor(IColor c)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(IColor c,
                                   int alpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(IColor c,
                                   float alpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(IColor c,
                                   double alpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(java.awt.Color c)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IParticleAgent setColor(java.awt.Color c,
                                   int alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IParticleAgent setColor(java.awt.Color c,
                                   float alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IParticleAgent setColor(java.awt.Color c,
                                   double alpha)

  Overrides:
    `setColor` in class `IObject`

### setColor

    public IParticleAgent setColor(int gray)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(float fgray)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(double dgray)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(int gray,
                                   int alpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(float fgray,
                                   float falpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(double dgray,
                                   double dalpha)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(int r,
                                   int g,
                                   int b)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(float fr,
                                   float fg,
                                   float fb)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(double dr,
                                   double dg,
                                   double db)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(int r,
                                   int g,
                                   int b,
                                   int a)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(float fr,
                                   float fg,
                                   float fb,
                                   float fa)

  Overrides:
    `setColor` in class `IParticle`

### setColor

    public IParticleAgent setColor(double dr,
                                   double dg,
                                   double db,
                                   double da)

  Overrides:
    `setColor` in class `IParticle`

### setHSBColor

    public IParticleAgent setHSBColor(float h,
                                      float s,
                                      float b,
                                      float a)

  Overrides:
    `setHSBColor` in class `IParticle`

### setHSBColor

    public IParticleAgent setHSBColor(double h,
                                      double s,
                                      double b,
                                      double a)

  Overrides:
    `setHSBColor` in class `IParticle`

### setHSBColor

    public IParticleAgent setHSBColor(float h,
                                      float s,
                                      float b)

  Overrides:
    `setHSBColor` in class `IParticle`

### setHSBColor

    public IParticleAgent setHSBColor(double h,
                                      double s,
                                      double b)

  Overrides:
    `setHSBColor` in class `IParticle`

### weight

    public IParticleAgent weight(double w)

  Overrides:
    `weight` in class `IParticle`

### weight

    public IParticleAgent weight(float w)

  Overrides:
    `weight` in class `IParticle`

### target

    public IParticleAgent target(IObject targetObj)

  add terget object to be updated by this dynamic object.

  Specified by:
    `target` in interface `IDynamics`
  Specified by:
    `target` in interface `IParticleI`
  Overrides:
    `target` in class `IParticle`

### removeTarget

    public IParticleAgent removeTarget(int i)

  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Specified by:
    `removeTarget` in interface `IParticleI`
  Overrides:
    `removeTarget` in class `IParticle`

### removeTarget

    public IParticleAgent removeTarget(IObject obj)

  remove target object.

  Specified by:
    `removeTarget` in interface `IDynamics`
  Specified by:
    `removeTarget` in interface `IParticleI`
  Overrides:
    `removeTarget` in class `IParticle`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD